#ifndef IMIPSCHEDULER_H
#define IMIPSCHEDULER_H
// $Id: imipscheduler.h,v 1.1 2000/11/02 01:02:35 cschumac Exp $
//
// iMIP implementation of iTIP methods
//

#include <qlist.h>

#include "scheduler.h"

/*
  This class implements the iTIP interface using the email interface specified
  as iMIP.
*/
class IMIPScheduler : public Scheduler {
  public:
    IMIPScheduler(CalObject *);
    virtual ~IMIPScheduler();
    
    bool publish (KOEvent *incidence,const QString &recipients);
    bool performTransaction(KOEvent *incidence,Method method);
    QList<ScheduleMessage> retrieveTransactions();
};

#endif  // IMIPSCHEDULER_H

